#! /bin/sh

template_injection_base_path="bin/template/injection"
template_content_base_path="bin/template/content"

search_dir() {
    for file in $1/*; do

        # Check if the file is directory or not
        # -- if it is directory again call the search_dir function recursively
        # -- else it will ready file and copy to project directory
        if [ -d "$file" ]; then

            # check folder exists in app directory
            # create directory if it doesn't exist
            app_folder_path="$(echo ${file:${#template_content_base_path}})"
            app_folder_path="$2$app_folder_path"
            mkdir -p "$app_folder_path"
            # END

            # Recursive call for search_dir function
            if [ "$(ls -A $file)" ]; then
                search_dir $file $2
            fi
        else 
            new_file_path="$(echo $file | sed -e "s/.dart.tmp/.dart/g")"
            new_file_path="$(echo ${new_file_path:${#template_content_base_path}})"
            new_file_path="$2$new_file_path"

            sed "s/{{{app_name}}}/$2/g" $file > $new_file_path
        fi  
    done
}

search_dir $template_content_base_path $1
ls